import { PropertyValues } from 'lit';
import { IRegion } from '@uxland/regions';
declare const CommunicationActionMenu_base: any;
export declare class CommunicationActionMenu extends CommunicationActionMenu_base {
    constructor(icon: string, label: string);
    showText: boolean;
    comminucationSidenavRegion: IRegion | undefined;
    static styles: import('lit').CSSResult;
    firstUpdated(_changedProps: PropertyValues<CommunicationActionMenu>): void;
    observeHostResize(): void;
    render(): import('lit').TemplateResult<1>;
    icon: string;
    label: string;
}
export {};
